All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.tree
Class FilterItemToLogicTreeTransform

    com.sas.dataselectors.filters.tree.FilterItemToLogicTreeTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class FilterItemToLogicTreeTransform

implements com.sas.util.transforms.TransformInterface

See Also:
  Serialized Form

Constructor Summary
`FilterItemToLogicTreeTransform()`
`FilterItemToLogicTreeTransform(FilterObjectFactoryInterface factory)`
`FilterItemToLogicTreeTransform(FilterObjectFactoryInterface factory, FilterItemListInterface filterItemList)`

Method Summary
`FilterObjectFactoryInterface` | `getFactory()`
`protected FilterReferenceNode` | `newFilterReferenceNode(java.lang.Object userObject)`
`protected LogicalConditionNode` | `newLogicalConditionNode(java.lang.Object userObject, com.sas.iquery.metadata.expr.ConditionalRelationType relationship, boolean explicit)`
`protected LogicalConditionNode` | `newLogicalConditionNode(java.lang.Object userObject, ConditionalRelationType lc, boolean explicitlyCreated)`
`protected NotNode` | `newNotNode(java.lang.Object userObject)`
`protected FilterLogicTestNodeInterface` | `newTestNode(java.lang.Object userObject, FilterItemInterface item, java.util.List qualifiers, FilterConditionInterface condition, java.util.List values)`
`void` | `setFactory(FilterObjectFactoryInterface factory)`
`java.lang.Object` | `transform(java.lang.Object o)`

Constructor Detail

### FilterItemToLogicTreeTransform

    public FilterItemToLogicTreeTransform()

### FilterItemToLogicTreeTransform

    public FilterItemToLogicTreeTransform(FilterObjectFactoryInterface factory)

### FilterItemToLogicTreeTransform

    public FilterItemToLogicTreeTransform(FilterObjectFactoryInterface factory,
                                          FilterItemListInterface filterItemList)

Method Detail

### getFactory

    public FilterObjectFactoryInterface getFactory()

  Returns:

### setFactory

    public void setFactory(FilterObjectFactoryInterface factory)

  Parameters:
    `factory` -

### transform

    public java.lang.Object transform(java.lang.Object o)
                               throws com.sas.util.transforms.TransformException

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Throws:
    `com.sas.util.transforms.TransformException`

### newLogicalConditionNode

    protected LogicalConditionNode newLogicalConditionNode(java.lang.Object userObject,
                                                           com.sas.iquery.metadata.expr.ConditionalRelationType relationship,
                                                           boolean explicit)

### newLogicalConditionNode

    protected LogicalConditionNode newLogicalConditionNode(java.lang.Object userObject,
                                                           ConditionalRelationType lc,
                                                           boolean explicitlyCreated)

### newNotNode

    protected NotNode newNotNode(java.lang.Object userObject)

### newFilterReferenceNode

    protected FilterReferenceNode newFilterReferenceNode(java.lang.Object userObject)

### newTestNode

    protected FilterLogicTestNodeInterface newTestNode(java.lang.Object userObject,
                                                       FilterItemInterface item,
                                                       java.util.List qualifiers,
                                                       FilterConditionInterface condition,
                                                       java.util.List values)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.